import serial
import time
import sys

if(len(sys.argv) < 3):
    print 'Help: %s [port] [ihex]' % sys.argv[0]
    exit(1)

f = open(sys.argv[2])
prog = f.read()

s = serial.Serial(sys.argv[1], 57600)

# Reset Arduino
s.setDTR(True)
time.sleep(1);
s.setDTR(False)
time.sleep(2)

print 'Baudrate:', s.getBaudrate(), 'Timeout:', s.getTimeout()

s.write('T')
while s.read() != 'R':
    print '.'

print 'READY!'

#    exit(1)
#else:

for ch in prog:
    s.write(ch)
    time.sleep(0.001)

print 'Done.'

s.close()
